A note modifier is anything that is mapped to the note, but not part of the pitch itself. This includes grace notes, and note-text like lyrics. All note modifiers have a serialize method and a 'ctor' parameter or deserialization

### Hierarchy

- SmoNoteModifierBase
  - SmoGraceNote
  - SmoMicrotone
  - SmoOrnament
  - SmoArticulation
  - SmoLyric
  - SmoDynamicText

### Implements

- SmoModifierBase

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoNoteModifierBase(ctor: string): SmoNoteModifierBase

- - Defined in src/smo/data/noteModifiers.ts:27

  #### Parameters

  - ##### ctor: string

  #### Returns SmoNoteModifierBase

Generated using TypeDoc